aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gst-libav1/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-03 12:54:26 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-03 12:54:26 +0000
commit7605c3abff5fcda7046dfd8890cb5e2163699214 (patch)
tree07fad0d64daa139bd0d2b079d1b54077aa9ea53b /testing/gst-libav1/APKBUILD
parent5b4e9af54fa73b797ea95d822ff10dafb67fb5be (diff)
downloadaports-7605c3abff5fcda7046dfd8890cb5e2163699214.tar.gz
aports-7605c3abff5fcda7046dfd8890cb5e2163699214.tar.bz2
aports-7605c3abff5fcda7046dfd8890cb5e2163699214.tar.xz
testing/gst-libav1: new aport
Gstreamer libav Plugin http://www.gstreamer.net
Diffstat (limited to 'testing/gst-libav1/APKBUILD')
-rw-r--r--testing/gst-libav1/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/gst-libav1/APKBUILD b/testing/gst-libav1/APKBUILD
new file mode 100644
index 0000000000..a04df2da71
--- /dev/null
+++ b/testing/gst-libav1/APKBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gst-libav1
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="Gstreamer libav Plugin"
+url="http://www.gstreamer.net"
+arch="all"
+license="GPL"
+makedepends="
+ coreutils
+ gstreamer1-dev
+ gst-plugins-base1-dev
+ liboil-dev
+ orc-dev"
+source="http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-$pkgver.tar.xz"
+
+_builddir="$srcdir"/gst-libav-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+build() {
+ cd "$_builddir"
+ export CFLAGS="$CFLAGS -fno-strict-aliasing"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-orc \
+ --with-libav-extra-configure="--enable-pic --disable-mmx --disable-mmx2" \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir"/usr/lib/ \( -name '*.la' -o -name '*.a' \) -delete
+}
+
+md5sums="49c8b54eaae25da2c866a59b284b31ea gst-libav-1.0.0.tar.xz"